## org.freedesktop.GeoClue2.Agent org.freedesktop.GeoClue2.Agent — The GeoClue agent interface |

## Methods

    AuthorizeApp (IN  s desktop_id,
                  IN  u req_accuracy_level,
                  OUT b authorized,
                  OUT u allowed_accuracy_level);

## Properties

    MaxAccuracyLevel  readable   u

## Description

This is the interface all application-authorizing agents must implement. There must be a separate agent object for every logged-in user on path "/org/freedesktop/GeoClue2/Agent".

## Method Details

### The AuthorizeApp() method

    AuthorizeApp (IN  s desktop_id,
                  IN  u req_accuracy_level,
                  OUT b authorized,
                  OUT u allowed_accuracy_level);

This is the method that will be called by geoclue to get applications authorized to be given location information.

`IN s `desktop_id``: | The desktop file id (the basename of the desktop file) of the application requesting location information.
`IN u `req_accuracy_level``: | The level of location accuracy requested by client, as GClueAccuracyLevel.
`OUT b `authorized``: | Return value indicating if application should be given location information or not.
`OUT u `allowed_accuracy_level``: | The level of location accuracy allowed for client, as GClueAccuracyLevel.

## Property Details

### The "MaxAccuracyLevel" property

    MaxAccuracyLevel  readable   u

The global maximum level of accuracy allowed for all clients. Since agents are per-user, this can be different for each user. See GClueAccuracyLevel for possible values.